## com.sun.jersey.core.spi.scanning
Class PackageNamesScanner.ResourcesProvider

    java.lang.Object
      com.sun.jersey.core.spi.scanning.PackageNamesScanner.ResourcesProvider

Enclosing class:
  PackageNamesScanner

    public abstract static class PackageNamesScanner.ResourcesProvider

extends java.lang.Object

Find resources with a given name and class loader.

Constructor Summary
`PackageNamesScanner.ResourcesProvider()`

Method Summary
`abstract java.util.Enumeration<java.net.URL>` `getResources(java.lang.String name, java.lang.ClassLoader cl)` Find all resources with the given name using a class loader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackageNamesScanner.ResourcesProvider

    public PackageNamesScanner.ResourcesProvider()

Method Detail

### getResources

    public abstract java.util.Enumeration<java.net.URL> getResources(java.lang.String name,
                                                                     java.lang.ClassLoader cl)
                                                              throws java.io.IOException

  Find all resources with the given name using a class loader.

  Parameters:
    `cl` - the class loader use to find the resources
    `name` - the resource name
  Returns:
    An enumeration of URL objects for the resource. If no resources could be found, the enumeration will be empty. Resources that the class loader doesn't have access to will not be in the enumeration.
  Throws:
    `java.io.IOException` - if I/O errors occur

Copyright © 2017 Oracle Corporation. All Rights Reserved.